#!/usr/bin/env python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup


def parse_requirements(filename):
    path = Path(__file__).parent.resolve() / filename
    assert path.exists(), f"Missing requirements: {path}"
    return list(map(str.strip, path.read_text().splitlines()))


setup(
    name="teklia-dan",
    version=open("VERSION").read(),
    description="Teklia DAN",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    author="Teklia",
    author_email="contact@teklia.com",
    url="https://gitlab.com/teklia/dan",
    install_requires=parse_requirements("requirements.txt"),
    packages=find_packages(),
    entry_points={
        "console_scripts": [
            "teklia-dan=dan.cli:main",
        ]
    },
)
